org.gnome.pango

## Class VariantAttribute

- Object
- - org.freedesktop.bindings.Pointer
  - - org.gnome.glib.Boxed
    - - org.gnome.pango.Attribute
      - - org.gnome.pango.VariantAttribute

-     public final class VariantAttribute
      extends Attribute

  An Attribute that modifies the variant of the text it is applied to. See `Variant`.
  Since:
    4.0.10
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariantAttribute(Variant variant)` Create a VariantAttribute.

  - ### Method Summary

    - ### Methods inherited from class org.gnome.pango.Attribute

      `setIndices`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VariantAttribute

          public VariantAttribute(Variant variant)

      Create a VariantAttribute. Since `NORMAL` is the default is the default in use essentially all the time, you only need to build one of these when setting `SMALL_CAPS`.
      Since:
        4.0.10